ForkedTomcatServer.TomcatRunner (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.plugins.tomcat.fork
[Groovy] Class ForkedTomcatServer.TomcatRunner

    java.lang.Object
      org.grails.plugins.tomcat.TomcatServer
          org.grails.plugins.tomcat.InlineExplodedTomcatServer
              org.grails.plugins.tomcat.fork.ForkedTomcatServer.TomcatRunner

    class ForkedTomcatServer.TomcatRunner
    extends InlineExplodedTomcatServer

Field Summary

Fields inherited from class TomcatServer
buildSettings, keyPassword, keystoreFile, pluginSettings, tomcatDir, trustPassword, truststore, truststoreFile, usingUserKeystore, workDir

Constructor Summary
`ForkedTomcatServer.TomcatRunner(java.lang.String basedir, java.lang.String webXml, java.lang.String contextPath, java.lang.ClassLoader classLoader)`

Method Summary
`protected void` | `configureAliases(org.apache.catalina.Context context)`
`protected void` | `initialize(org.apache.catalina.startup.Tomcat tomcat)`
`void` | `start(java.lang.String host, int port)`
`void` | `stop()`

Methods inherited from class InlineExplodedTomcatServer
configureAliases, createTomcatLoader, doStart, getLocalHttpPort, getLocalHttpsPort, initialize, stop

Methods inherited from class TomcatServer
checkAndInitializingClasspathScanning, createSSLCertificate, doStart, getConfigParam, getConfigParams, getWorkDirFile, restart, start, start, start, startSecure, startSecure, startSecure, stop

Constructor Detail

### ForkedTomcatServer.TomcatRunner

    ForkedTomcatServer.TomcatRunner(java.lang.String basedir, java.lang.String webXml, java.lang.String contextPath, java.lang.ClassLoader classLoader)

Method Detail

### configureAliases

    @Override
    protected void configureAliases(org.apache.catalina.Context context)

### initialize

    @Override
    @CompileStatic
    protected void initialize(org.apache.catalina.startup.Tomcat tomcat)

### start

    @Override
    void start(java.lang.String host, int port)

### stop

    @Override
    void stop()

Groovy Documentation